Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client
Class Cookies

    java.lang.Object
      com.google.gwt.user.client.Cookies

    public class Cookies

extends java.lang.Object

Provides access to browser cookies stored on the client. Because of browser restrictions, you will only be able to access cookies associated with the current page's domain.

Method Summary
`static java.lang.String` | `getCookie(java.lang.String name)` Gets the cookie associated with the given name.
`static java.util.Collection<java.lang.String>` | `getCookieNames()` Gets the names of all cookies in this page's domain.
`static void` | `removeCookie(java.lang.String name)` Removes the cookie associated with the given name.
`static void` | `setCookie(java.lang.String name, java.lang.String value)` Sets a cookie.
`static void` | `setCookie(java.lang.String name, java.lang.String value, java.util.Date expires)` Sets a cookie.
`static void` | `setCookie(java.lang.String name, java.lang.String value, java.util.Date expires, java.lang.String domain, java.lang.String path, boolean secure)` Sets a cookie.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getCookie

    public static java.lang.String getCookie(java.lang.String name)

  Gets the cookie associated with the given name.

  Parameters:
    `name` - the name of the cookie to be retrieved
  Returns:
    the cookie's value, or `null` if the cookie doesn't exist

### getCookieNames

    public static java.util.Collection<java.lang.String> getCookieNames()

  Gets the names of all cookies in this page's domain.

  Returns:
    the names of all cookies

### removeCookie

    public static void removeCookie(java.lang.String name)

  Removes the cookie associated with the given name.

  Parameters:
    `name` - the name of the cookie to be removed

### setCookie

    public static void setCookie(java.lang.String name,
                                 java.lang.String value)

  Sets a cookie. The cookie will expire when the current browser session is ended.

  Parameters:
    `name` - the cookie's name
    `value` - the cookie's value

### setCookie

    public static void setCookie(java.lang.String name,
                                 java.lang.String value,
                                 java.util.Date expires)

  Sets a cookie.

  Parameters:
    `name` - the cookie's name
    `value` - the cookie's value
    `expires` - when the cookie expires

### setCookie

    public static void setCookie(java.lang.String name,
                                 java.lang.String value,
                                 java.util.Date expires,
                                 java.lang.String domain,
                                 java.lang.String path,
                                 boolean secure)

  Sets a cookie.

  Parameters:
    `name` - the cookie's name
    `value` - the cookie's value
    `expires` - when the cookie expires
    `domain` - the domain to be associated with this cookie
    `path` - the path to be associated with this cookie
    `secure` - `true` to make this a secure cookie

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD